%define upstream_name    Config-Identity
%define upstream_version 0.0019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Load (and optionally decrypt via GnuPG) user/pass identity information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
Config::Identity is a tool for loading (and optionally decrypting via
GnuPG) user/pass identity information.

For GitHub API access, an identity is a 'login'/'token' pair.

For PAUSE access, an identity is a 'user'/'password' pair.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.900-5.mga10
+ Revision: 2203528
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.900-4.mga9
+ Revision: 1808572
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.900-3.mga8
+ Revision: 1503588
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.900-2.mga7
+ Revision: 1282353
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 0.1.900-1.mga7
+ Revision: 1132744
- update to 0.0019

* Sun Apr 16 2017 shlomif <shlomif> 0.1.800-6.mga6
+ Revision: 1096588
- Typos + spec updates.

* Sat Jun 18 2016 pterjan <pterjan> 0.1.800-5.mga6
+ Revision: 1024295
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.800-4.mga6
+ Revision: 945372
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.800-3.mga5
+ Revision: 747491
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.800-2.mga5
+ Revision: 683983
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 jquelin <jquelin> 0.1.800-1.mga5
+ Revision: 598676
- update to 0.0018

* Fri Oct 18 2013 umeabot <umeabot> 0.1.600-3.mga4
+ Revision: 510217
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.600-2.mga3
+ Revision: 364653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.1.600-1.mga1
+ Revision: 33634
- mageia rebuild
- imported package perl-Config-Identity

